summaryrefslogtreecommitdiffstats
path: root/.github/scripts
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2022-10-11 07:26:46 -0400
committerGitHub <noreply@github.com>2022-10-11 07:26:46 -0400
commitd91c510f0f4c0d80296939872de018c691933345 (patch)
tree4995aeae11070225a9547edf0b0917fac333325a /.github/scripts
parent4a935930abe0cbed5aa5f9b583e91fdaf4278223 (diff)
Add Ubuntu 22.10 to supported distros, CI, and package builds. (#13785)
* Add Ubuntu 22.10 to supported distros, CI, and package builds. Expected release date is 2022-10-20. * Fix handling of netcat in newer Debian and Ubuntu distros.
Diffstat (limited to '.github/scripts')
-rwxr-xr-x.github/scripts/pkg-test.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index 179c0c41e6..e3bc3e7d46 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -4,13 +4,19 @@ install_debian_like() {
# This is needed to ensure package installs don't prompt for any user input.
export DEBIAN_FRONTEND=noninteractive
+ if apt-cache show netcat 2>&1 | grep -q "No packages found"; then
+ netcat="netcat-traditional"
+ else
+ netcat="netcat"
+ fi
+
apt-get update
# Install Netdata
apt-get install -y /netdata/artifacts/netdata_"${VERSION}"*_*.deb || exit 1
# Install testing tools
- apt-get install -y --no-install-recommends curl netcat jq || exit 1
+ apt-get install -y --no-install-recommends curl "${netcat}" jq || exit 1
}
install_fedora_like() {